import 'package:json_annotation/json_annotation.dart';

part 'discount_add.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class DiscountAddDTO {
  DiscountAddDTO(
      {required this.note, required this.deliveryId, required this.discount});

  String note;
  String deliveryId;
  int discount;

  factory DiscountAddDTO.fromJson(Map<String, dynamic> json) =>
      _$DiscountAddDTOFromJson(json);

  Map<dynamic, dynamic> toJson() => _$DiscountAddDTOToJson(this);
}
